Developer Documentation

Signals | Public Member Functions | Private Slots | List of all members
PickingInterface Class Reference

Allow access to picking functions. More...

`#include <OpenFlipper/BasePlugin/PickingInterface.hh>`

Inheritance diagram for PickingInterface:

## Signals
virtual void | addPickMode (const std::string &_mode)
| Add a new picking mode to the examiner. More...

## Public Member Functions
virtual void | addHiddenPickMode (const std::string &_mode)
| Add a new picking mode to the examiner which will be invisible. More...
virtual void | setPickModeCursor (const std::string &_mode, QCursor _cursor)
| Set the cursor of the given PickMode. More...
virtual void | setPickModeMouseTracking (const std::string &_mode, bool _mouseTracking)
| Set mouse tracking for the given PickMode. More...
virtual void | setPickModeToolbar (const std::string &_mode, QToolBar *_toolbar)
| Set the additional toolbar of the given PickMode. More...
virtual void | removePickModeToolbar (const std::string &_mode)
| Removes the additional toolbar of the given PickMode. More...
virtual | ~PickingInterface ()
| Destructor.

## Private Slots
virtual void | slotPickModeChanged (const std::string &_mode)
| The pickingMode has changed. More...

## Detailed Description

Allow access to picking functions.

Detailed description
Using this interface you can add different pick modes to OpenFlipper and separate different mouse Interactions depending on the current mode.

Read tutorial Implementing mouse and keyboard interaction for an example of how to use mouse picking.

Definition at line 62 of file PickingInterface.hh.

## Member Function Documentation

## ◆ addHiddenPickMode()

virtual void PickingInterface::addHiddenPickMode | ( | const std::string & | _mode | ) |
| inline virtual

Add a new picking mode to the examiner which will be invisible.

The added PickMode will not appear in the context menus Picking menu. You have to provide a button or menu entry yourself if you want to switch to the picking mode provided here.

Parameters

  _mode | Identifier of Picking mode or "Separator" to add a Separator

Definition at line 78 of file PickingInterface.hh.

## ◆ addPickMode

virtual void PickingInterface::addPickMode | ( | const std::string & | _mode | ) |
| inline virtual signal

Add a new picking mode to the examiner.

Parameters

  _mode | Identifier of Picking mode or "Separator" to add a Separator

Definition at line 68 of file PickingInterface.hh.

## ◆ removePickModeToolbar()

virtual void PickingInterface::removePickModeToolbar | ( | const std::string & | _mode | ) |
| inline virtual

Removes the additional toolbar of the given PickMode.

Set the additional toolbar that should be shown in the pickMode

Parameters

  _mode | Identifier of Picking mode

Definition at line 114 of file PickingInterface.hh.

## ◆ setPickModeCursor()

virtual void PickingInterface::setPickModeCursor | ( | const std::string & | _mode,
|  | QCursor | _cursor
| ) |  |
| inline virtual

Set the cursor of the given PickMode.

Set the cursor that should be used inside the pickMode

Parameters

  _mode | Identifier of Picking mode
  _cursor | the new cursor

Definition at line 87 of file PickingInterface.hh.

## ◆ setPickModeMouseTracking()

virtual void PickingInterface::setPickModeMouseTracking | ( | const std::string & | _mode,
|  | bool | _mouseTracking
| ) |  |
| inline virtual

Set mouse tracking for the given PickMode.

Enable mouseTracking for the given PickMode. When MouseTracking is enabled you receive mouseMove events also when no button is pressed (via MouseInterface)

Parameters

  _mode | Identifier of Picking mode
  _mouseTracking | new state of mouseTracking

Definition at line 97 of file PickingInterface.hh.

## ◆ setPickModeToolbar()

virtual void PickingInterface::setPickModeToolbar | ( | const std::string & | _mode,
|  | QToolBar * | _toolbar
| ) |  |
| inline virtual

Set the additional toolbar of the given PickMode.

Set the additional toolbar that should be shown in the pickMode

Parameters

  _mode | Identifier of Picking mode
  _toolbar | the toolbar

Definition at line 106 of file PickingInterface.hh.

## ◆ slotPickModeChanged

virtual void PickingInterface::slotPickModeChanged | ( | const std::string & | _mode | ) |
| inline private virtual slot

The pickingMode has changed.

This slot is called if the user changes the current picking mode

Parameters

  _mode | Identifier of Picking mode

Reimplemented in ComponentsPlugin, and TypeLightPlugin.

Definition at line 123 of file PickingInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/PickingInterface.hh